<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Commit Method (IEdmBatchUpdate)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUpdate Interface : Commit Method (IEdmBatchUpdate)

Visual Basic
C#
C++/CLI

ppoRetErrors
  Array of EdmBatchError structures; one structure for each error that occurred during the save operation

poCallback
  Optional pointer to a class that implements IEdmCallback to get more information during the operation

Obsolete. Superseded by IEdmBatchUpdate2::CommitUpdate .

# Syntax

Visual Basic |
--- | ---

    Sub Commit( _
       ByRef ppoRetErrors() As EdmBatchError, _
       Optional ByVal poCallback As EdmCallback _
    )

C# |
--- | ---

    void Commit(
       out EdmBatchError[] ppoRetErrors,
       EdmCallback poCallback
    )

C++/CLI |
--- | ---

    void Commit(
    &   [Out] array<EdmBatchError>^ ppoRetErrors,
    &   EdmCallback^ poCallback
    )

#### Parameters

ppoRetErrors
  Array of EdmBatchError structures; one structure for each error that occurred during the save operation
poCallback
  Optional pointer to a class that implements IEdmCallback to get more information during the operation

# Remarks

Non-fatal errors are returned in the ppoRetErrors array. Examine the contents of the returned array to determine whether the operation is successful.

See the IEdmBatchUpdate remarks for information about using this method.

# See Also

####

IEdmBatchUpdate Interface
IEdmBatchUpdate Members

# Availability

SOLIDWORKS PDM Professional Version 6.2